package com.duben.microtribe.mvp.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class IndexList implements Serializable {

    private VedioBean vedioMsg;
    private List<VedioEpisodeBean> list;
    private ArrayList<String> tip;

    public ArrayList<String> getTip() {
        return tip;
    }

    public void setTip(ArrayList<String> tip) {
        this.tip = tip;
    }

    public VedioBean getVedioMsg() {
        return vedioMsg;
    }

    public void setVedioMsg(VedioBean list) {
        this.vedioMsg = list;
    }

    public List<VedioEpisodeBean> getList() {
        return list;
    }

    public void setList(List<VedioEpisodeBean> list) {
        this.list = list;
    }

    public class VedioEpisodeBean implements Serializable {
        private String vedioUrl;
        private int vedioIndex;
        private boolean lock;
        private String title;
        private int vedioId;
        private String dos;

        public String getDos() {
            return dos;
        }

        public void setDos(String dos) {
            this.dos = dos;
        }

        public String getVedioUrl() {
            return vedioUrl;
        }

        public void setVedioUrl(String vedioUrl) {
            this.vedioUrl = vedioUrl;
        }

        public int getVedioIndex() {
            return vedioIndex;
        }

        public void setVedioIndex(int vedioIndex) {
            this.vedioIndex = vedioIndex;
        }

        public boolean isLock() {
            return lock;
        }

        public void setLock(boolean lock) {
            this.lock = lock;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public int getVedioId() {
            return vedioId;
        }

        public void setVedioId(int vedioId) {
            this.vedioId = vedioId;
        }
    }

}
